Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Archive /

Our old forums are still available as a read-only archive.

Moderators: martimiz, Sean, biapar, Willr, Ingo, simon_w

eCommerce Install Fatal Error


Reply


5 Posts   1782 Views

Avatar
BIMMAN

Community Member, 8 Posts

1 May 2008 at 7:59pm

Hi all,

Pls help i'm trying to get the eCommerce module to work on my website but keep getting the following error on the install.... (..db/build/?flush=1)

Fatal error: Declaration of Order_Item::__construct() must be compatible with that of DataObjectInterface::__construct() in C:\wamp\www\revit.tv\ecommerce\code\Order.php on line 1107

Any help regarding this would be greatly appreciated

Avatar
Willr

Forum Moderator, 5513 Posts

1 May 2008 at 8:01pm

are you using the trunk edition? and if so how bout the SilverStripe install? trunk or 2.2

Avatar
BIMMAN

Community Member, 8 Posts

1 May 2008 at 8:18pm

Silverstripe is 2.2.2-rc3, not sure about the eCommerce being trunk or not - eCommerce v 0.5.1...? i'm new to silverstripe - how do i get the trunk edition?... i'm also having a couple of issues with the Forum v0.1.2 - it installs fine but when i create a forum holder it will not save - i just get an error message at the bottom on the edit window.... are you able to help with this also?

Avatar
BIMMAN

Community Member, 8 Posts

1 May 2008 at 9:05pm

ok - i've now managed to get the truck version installed for the ecommerce module (all went ok) but now when i install the trunk forum i get the following errors...

Warning: Warning: there are two 'AccountPage' files both containing the same class: 'C:/wamp/www/revit.tv/forum/code/AccountPage.php' and 'C:/wamp/www/revit.tv/ecommerce/code/AccountPage.php'. This might mean that the wrong code is being used. in C:\wamp\www\revit.tv\sapphire\core\ManifestBuilder.php on line 253

what does this mean? will it be a problem?...

Avatar
sarahk

Community Member, 46 Posts

2 May 2008 at 9:46am

I got the eCommerce working but as I needed a fix to the newsletter functionality I needed to upgrade to SilverStripe CMS - 2.2.2-rc3 and got the same errors as Bimman reported.

Can you bump this thread when a new version of ecommerce is released please.